> ## Documentation Index
> Fetch the complete documentation index at: https://docs.agents.labs.bandwidth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve Agent Run Details

> Get the details, transcript, and recording for an agent run

Returns the full run record including run status, duration, transcript and
recording storage keys, gathered context, and usage/cost information.

Exchange an artifact storage key through the authenticated
`GET /api/v1/s3/signed-url` endpoint before downloading it. Labs Auth and
workspace authorization are required.


## OpenAPI

````yaml GET /api/v1/workflow/{workflow_id}/runs/{run_id}
openapi: 3.1.0
info:
  title: Bandwidth Agent Builder API
  version: v1
  description: >-
    Manage agents, place calls, and retrieve conversation results in your
    workspace.
servers:
  - url: https://agents.labs.bandwidth.com
    description: Workspace API
security: []
paths:
  /api/v1/workflow/{workflow_id}/runs/{run_id}:
    get:
      tags:
        - runs
      summary: Retrieve Agent Run Details
      description: Get the details, transcript, and recording for an agent run
      operationId: get_workflow_run_api_v1_workflow__workflow_id__runs__run_id__get
      parameters:
        - name: workflow_id
          in: path
          required: true
          schema:
            type: integer
            title: Workflow Id
        - name: run_id
          in: path
          required: true
          schema:
            type: integer
            title: Run Id
        - name: X-VOAI-ORGANIZATION-ID
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Voai-Organization-Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WorkflowRunResponseSchema'
        '404':
          description: Not found
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - LabsAuth: []
        - LabsApiKey: []
components:
  schemas:
    WorkflowRunResponseSchema:
      properties:
        id:
          type: integer
          title: Id
        workflow_id:
          type: integer
          title: Workflow Id
        name:
          type: string
          title: Name
        mode:
          type: string
          title: Mode
        created_at:
          type: string
          format: date-time
          title: Created At
        state:
          type: string
          title: State
        is_completed:
          type: boolean
          title: Is Completed
        transcript_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Transcript Url
        recording_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Recording Url
        cost_info:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Cost Info
        usage_info:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Usage Info
        definition_id:
          anyOf:
            - type: integer
            - type: 'null'
          title: Definition Id
        initial_context:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Initial Context
        gathered_context:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Gathered Context
        call_type:
          $ref: '#/components/schemas/CallType'
        logs:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Logs
        annotations:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Annotations
      type: object
      required:
        - id
        - workflow_id
        - name
        - mode
        - created_at
        - state
        - is_completed
        - transcript_url
        - recording_url
        - cost_info
        - definition_id
        - call_type
      title: WorkflowRunResponseSchema
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    CallType:
      type: string
      enum:
        - inbound
        - outbound
      title: CallType
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    LabsAuth:
      type: http
      scheme: bearer
    LabsApiKey:
      type: apiKey
      in: header
      name: X-BW-LABS-AGENTS-API-KEY

````